View Issue Details

IDProjectCategoryView StatusLast Update
0002054ScribusGeneralpublic2006-02-19 19:47
ReporterplinnellAssigned Tofschmid  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 
Target VersionFixed in Version1.3.3cvs 
Summary0002054: Hang on saving a complex drawing as an scs.
DescriptionOpen attached doc.

Send the logo to scrapbook.

Try to save as a scrapbook selection.

Scribus loops on the save and a zero byte file is written.

Affects both 1.2.2cvs and 1.3.0cvs
Additional InformationProgram received signal SIGINT, Interrupt.
[Switching to Thread 1073880832 (LWP 28280)]
0x417ad0cd in memmove () from /lib/tls/libc.so.6
(gdb) bt
#0 0x417ad0cd in memmove () from /lib/tls/libc.so.6
0000001 0x415a9c77 in QString::insert () from /usr/lib/qt3/lib/libqt-mt.so.3
0000002 0x415a9da3 in QString::replace () from /usr/lib/qt3/lib/libqt-mt.so.3
0000003 0x415aa394 in QString::replace () from /usr/lib/qt3/lib/libqt-mt.so.3
0000004 0x4150af74 in encodeAttr () from /usr/lib/qt3/lib/libqt-mt.so.3
0000005 0x4150b19b in QDomAttrPrivate::save () from /usr/lib/qt3/lib/libqt-mt.so.3
0000006 0x4150bddc in QDomElementPrivate::save () from /usr/lib/qt3/lib/libqt-mt.so.3
0000007 0x4150211a in QDomNodePrivate::save () from /usr/lib/qt3/lib/libqt-mt.so.3
0000008 0x4150bc66 in QDomElementPrivate::save () from /usr/lib/qt3/lib/libqt-mt.so.3
0000009 0x41509b6c in QDomDocumentPrivate::save () from /usr/lib/qt3/lib/libqt-mt.so.3
0000010 0x41502451 in QDomNode::save () from /usr/lib/qt3/lib/libqt-mt.so.3
0000011 0x4150905d in QDomDocument::toString () from /usr/lib/qt3/lib/libqt-mt.so.3
0000012 0x0834c892 in BibView::SaveContents (this=0x89ef2a8, name=
      {static null = {static null = <same as static member of an already seen type>, d = 0x85dc0c0, static shared_null = 0x85dc0c0}, d = 0xc5d1890, static shared_null = 0x85dc0c0})
    at scrap.cpp:83
0000013 0x0834ea6d in Biblio::SaveAs (this=0x89eb100) at scrap.cpp:256
0000014 0x0834c22e in Biblio::qt_invoke (this=0x89eb100, _id=59, _o=0xbfffe630) at scrap.moc:237
0000015 0x412bda5e in QObject::activate_signal () from /usr/lib/qt3/lib/libqt-mt.so.3
0000016 0x4160f872 in QSignal::signal () from /usr/lib/qt3/lib/libqt-mt.so.3
0000017 0x412dafb3 in QSignal::activate () from /usr/lib/qt3/lib/libqt-mt.so.3
0000018 0x413ce2a8 in QPopupMenu::mouseReleaseEvent () from /usr/lib/qt3/lib/libqt-mt.so.3
0000019 0x412f4045 in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
0000020 0x4125b2ef in QApplication::internalNotify () from /usr/lib/qt3/lib/libqt-mt.so.3
0000021 0x4125d696 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
---Type <return> to continue, or q <return> to quit---
0000022 0x411f8c1b in QETWidget::translateMouseEvent () from /usr/lib/qt3/lib/libqt-mt.so.3
0000023 0x411f7856 in QApplication::x11ProcessEvent () from /usr/lib/qt3/lib/libqt-mt.so.3
0000024 0x41208248 in QEventLoop::processEvents () from /usr/lib/qt3/lib/libqt-mt.so.3
0000025 0x41273281 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
0000026 0x412730c6 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
0000027 0x4125cd7f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
0000028 0x084e7dff in mainApp (argc=1, argv=0xbffff1b4) at main.cpp:64
0000029 0x084e7d7e in main (argc=1, argv=0xbffff1b4) at main.cpp:41
(gdb)
TagsNo tags attached.
Patch

Relationships

related to 0001924 acknowledged Support stream I/O for files 
related to 0002759 closedavox Signal 0000004 crash 

Activities

2005-06-05 20:02

 

prepress4.sla.gz (34,743 bytes)

fschmid

2005-06-06 04:03

administrator   ~0004904

Seems that there is a memory problem in the Qt function toString()

plinnell

2005-07-03 19:05

viewer   ~0005378

bumped to 1.2.3

plinnell

2005-10-23 22:32

viewer   ~0007196

Per discussion with Riku and Craig - decided this needs to be re-written with SAX. Bumping and moving on to the roadmap.

Issue History

Date Modified Username Field Change
2005-06-05 20:02 plinnell New Issue
2005-06-05 20:02 plinnell File Added: prepress4.sla.gz
2005-06-05 20:17 plinnell Status new => assigned
2005-06-05 20:17 plinnell Assigned To => fschmid
2005-06-06 04:03 fschmid Note Added: 0004904
2005-06-26 11:59 ringerc Relationship added related to 0001924
2005-07-03 19:05 plinnell Note Added: 0005378
2005-07-03 19:05 plinnell Product Version 1.2.2cvs => 1.2.3
2005-07-06 19:37 plinnell Product Version 1.2.3 => 1.2.3cvs
2005-09-11 23:25 plinnell Product Version 1.2.3cvs => 1.2.4cvs
2005-10-23 22:32 plinnell Note Added: 0007196
2005-10-23 22:32 plinnell Assigned To fschmid => Tsoots
2005-10-23 22:32 plinnell Product Version 1.2.4cvs => 1.3
2005-10-26 19:56 plinnell Relationship added related to 0002759
2006-02-12 12:31 fschmid Status assigned => resolved
2006-02-12 12:31 fschmid Fixed in Version => 1.3.3cvs
2006-02-12 12:31 fschmid Resolution open => fixed
2006-02-12 13:01 fschmid Status resolved => assigned
2006-02-12 13:01 fschmid Assigned To Tsoots => fschmid
2006-02-12 13:02 fschmid Status assigned => resolved
2006-02-19 19:47 cbradney Status resolved => closed